POST api/v1/accounts/registervolunteerwithagency

Request Information

URI Parameters

None.

Body Parameters

LocalVolunteerRegistrationModel
NameDescriptionTypeAdditional information
Password

string

Required

Data type: Password

AddAgencyPrivateAccess

boolean

None.

FirstName

string

Required

LastName

string

Required

EmailAddress

string

Required

Data type: EmailAddress

DateOfBirth

date

Required

SuburbId

integer

Required

Request Formats

application/json, text/json, text/html

Sample:
{
  "password": "sample string 1",
  "addAgencyPrivateAccess": true,
  "firstName": "sample string 3",
  "lastName": "sample string 4",
  "emailAddress": "sample string 5",
  "dateOfBirth": "2026-06-25T13:44:59.7862389+00:00",
  "suburbId": 6
}

application/xml, text/xml

Sample:
<LocalVolunteerRegistrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models">
  <DateOfBirth>2026-06-25T13:44:59.7862389+00:00</DateOfBirth>
  <EmailAddress>sample string 5</EmailAddress>
  <FirstName>sample string 3</FirstName>
  <LastName>sample string 4</LastName>
  <SuburbId>6</SuburbId>
  <AddAgencyPrivateAccess>true</AddAgencyPrivateAccess>
  <Password>sample string 1</Password>
</LocalVolunteerRegistrationModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

RegistrationResult
NameDescriptionTypeAdditional information
VolunteerId

integer

None.

ExistingVolunteer

boolean

None.

ExistingContact

boolean

None.

Errors

Collection of string

None.

Response Formats

application/json, text/json, text/html

Sample:
{
  "volunteerId": 1,
  "existingVolunteer": true,
  "existingContact": true,
  "errors": [
    "sample string 1",
    "sample string 2"
  ]
}

application/xml, text/xml

Sample:
<RegistrationResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.Core.CustomModels">
  <Errors xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </Errors>
  <ExistingContact>true</ExistingContact>
  <ExistingVolunteer>true</ExistingVolunteer>
  <VolunteerId>1</VolunteerId>
</RegistrationResult>